> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CCTP transaction context

> Retrieves context for a CCTP cross-chain bridge operation, including asset balance, allowance, and fees



## OpenAPI

````yaml https://api.vaults.fyi/alpha/documentation/json get /alpha/transactions/cctp/context/{userAddress}/{srcNetwork}/{dstNetwork}/{assetAddress}
openapi: 3.0.3
info:
  title: Vaults.fyi Alpha API
  version: 0.1.0
  description: >-
    Alpha API endpoints for features in early access. These endpoints are not
    included in the main API documentation and may change without notice.
servers:
  - url: https://api.vaults.fyi
    description: Vaults.fyi Alpha API
security: []
tags:
  - name: Cross Chain
  - name: CCTP Bridge
  - name: SVM
  - name: Holders
  - name: Advanced Analytics
  - name: Historical Positions
paths:
  /alpha/transactions/cctp/context/{userAddress}/{srcNetwork}/{dstNetwork}/{assetAddress}:
    get:
      tags:
        - CCTP Bridge
      summary: Get CCTP transaction context
      description: >-
        Retrieves context for a CCTP cross-chain bridge operation, including
        asset balance, allowance, and fees
      operationId: getCctpTransactionContext
      parameters:
        - schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
          in: path
          name: userAddress
          required: true
          description: User wallet address
        - schema:
            type: string
            enum:
              - mainnet
              - optimism
              - arbitrum
              - polygon
              - gnosis
              - base
              - unichain
              - swellchain
              - celo
              - worldchain
              - berachain
              - ink
              - bsc
              - hyperliquid
              - plasma
              - avalanche
              - katana
              - linea
              - mega-eth
              - monad
              - etherlink
              - eip155:1
              - eip155:10
              - eip155:42161
              - eip155:137
              - eip155:100
              - eip155:8453
              - eip155:130
              - eip155:1923
              - eip155:42220
              - eip155:480
              - eip155:80094
              - eip155:57073
              - eip155:56
              - eip155:999
              - eip155:9745
              - eip155:43114
              - eip155:747474
              - eip155:59144
              - eip155:4326
              - eip155:143
              - eip155:42793
          in: path
          name: srcNetwork
          required: true
          description: Source chain (network name or CAIP identifier)
        - schema:
            type: string
            enum:
              - mainnet
              - optimism
              - arbitrum
              - polygon
              - gnosis
              - base
              - unichain
              - swellchain
              - celo
              - worldchain
              - berachain
              - ink
              - bsc
              - hyperliquid
              - plasma
              - avalanche
              - katana
              - linea
              - mega-eth
              - monad
              - etherlink
              - eip155:1
              - eip155:10
              - eip155:42161
              - eip155:137
              - eip155:100
              - eip155:8453
              - eip155:130
              - eip155:1923
              - eip155:42220
              - eip155:480
              - eip155:80094
              - eip155:57073
              - eip155:56
              - eip155:999
              - eip155:9745
              - eip155:43114
              - eip155:747474
              - eip155:59144
              - eip155:4326
              - eip155:143
              - eip155:42793
          in: path
          name: dstNetwork
          required: true
          description: Destination chain (network name or CAIP identifier)
        - schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
          in: path
          name: assetAddress
          required: true
          description: Asset address to bridge (e.g., USDC)
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  srcNetwork:
                    type: object
                    properties:
                      name:
                        type: string
                        enum:
                          - mainnet
                          - optimism
                          - arbitrum
                          - polygon
                          - gnosis
                          - base
                          - unichain
                          - swellchain
                          - celo
                          - worldchain
                          - berachain
                          - ink
                          - bsc
                          - hyperliquid
                          - plasma
                          - avalanche
                          - katana
                          - linea
                          - mega-eth
                          - monad
                          - etherlink
                      chainId:
                        type: integer
                      networkCaip:
                        type: string
                        pattern: ^eip155:\d+$
                    required:
                      - name
                      - chainId
                      - networkCaip
                    additionalProperties: false
                    description: Source network
                  dstNetwork:
                    type: object
                    properties:
                      name:
                        type: string
                        enum:
                          - mainnet
                          - optimism
                          - arbitrum
                          - polygon
                          - gnosis
                          - base
                          - unichain
                          - swellchain
                          - celo
                          - worldchain
                          - berachain
                          - ink
                          - bsc
                          - hyperliquid
                          - plasma
                          - avalanche
                          - katana
                          - linea
                          - mega-eth
                          - monad
                          - etherlink
                      chainId:
                        type: integer
                      networkCaip:
                        type: string
                        pattern: ^eip155:\d+$
                    required:
                      - name
                      - chainId
                      - networkCaip
                    additionalProperties: false
                    description: Destination network
                  asset:
                    type: object
                    properties:
                      address:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                      symbol:
                        type: string
                      decimals:
                        type: number
                      name:
                        type: string
                      balanceNative:
                        type: string
                        description: User balance in base units
                      allowance:
                        type: string
                        description: Current allowance for TokenMessengerV2
                    required:
                      - address
                      - symbol
                      - decimals
                      - name
                      - balanceNative
                      - allowance
                    additionalProperties: false
                  fees:
                    type: object
                    properties:
                      standardTransferFeeBps:
                        type: number
                        description: Service fee for standard transfer in basis points
                      fastTransferFeeBps:
                        type: number
                        description: Service fee for fast transfer in basis points
                      forwardingFeeNative:
                        type: string
                        description: Fixed service fee per destination in base asset units
                    required:
                      - standardTransferFeeBps
                      - fastTransferFeeBps
                      - forwardingFeeNative
                    additionalProperties: false
                    description: Fees for forwarding mode (fetched from Iris API)
                  currentBridgeStep:
                    type: string
                    enum:
                      - bridge
                      - claim
                    description: Current step in bridge flow
                  bridgeSteps:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          enum:
                            - bridge
                            - claim
                        actions:
                          type: array
                          items:
                            type: string
                          description: Available actions for this step
                        actionsUrl:
                          type: string
                          description: URL to get transaction data for this step
                      required:
                        - name
                        - actions
                        - actionsUrl
                      additionalProperties: false
                    description: 'Steps for bridging: bridge, then claim'
                  moneyInTransit:
                    type: array
                    items:
                      type: object
                      properties:
                        burnToken:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                        amountNative:
                          type: string
                          description: Burn amount in base units
                        mintRecipient:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                        destinationDomain:
                          type: number
                        status:
                          type: string
                          enum:
                            - pending
                            - attested
                            - complete
                            - expired
                        message:
                          type: string
                          pattern: ^0x[a-fA-F0-9]*$
                        attestation:
                          type: string
                          pattern: ^0x[a-fA-F0-9]*$
                        depositor:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                      required:
                        - burnToken
                        - amountNative
                        - mintRecipient
                        - destinationDomain
                        - status
                        - depositor
                      additionalProperties: false
                    description: Recent CCTP transfers that are still in transit
                required:
                  - srcNetwork
                  - dstNetwork
                  - asset
                  - fees
                  - currentBridgeStep
                  - bridgeSteps
                  - moneyInTransit
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Bad Request
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Unauthorized
                      message:
                        type: string
                        enum:
                          - >-
                            An API key is required to access this service. Sign
                            up at https://portal.vaults.fyi/signup to generate a
                            key. We offer a Pay-As-You-Go plan so you only pay
                            for what you use, with no commitments.
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '402':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      x402Version:
                        anyOf:
                          - type: number
                          - type: string
                      error:
                        type: string
                      resource:
                        type: object
                        properties:
                          url:
                            type: string
                          description:
                            type: string
                          mimeType:
                            type: string
                          serviceName:
                            type: string
                          tags:
                            type: array
                            items:
                              type: string
                          iconUrl:
                            type: string
                        required:
                          - url
                        additionalProperties: false
                      accepts:
                        anyOf:
                          - type: array
                            items:
                              type: object
                              properties:
                                scheme:
                                  type: string
                                  enum:
                                    - exact
                                network:
                                  type: string
                                amount:
                                  type: string
                                payTo:
                                  type: string
                                maxTimeoutSeconds:
                                  type: number
                                asset:
                                  type: string
                                extra:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    version:
                                      type: string
                                  required:
                                    - name
                                    - version
                                  additionalProperties: false
                              required:
                                - scheme
                                - network
                                - amount
                                - payTo
                                - maxTimeoutSeconds
                                - asset
                              additionalProperties: false
                          - {}
                      extensions:
                        type: object
                        additionalProperties: {}
                    required:
                      - x402Version
                      - resource
                    additionalProperties: false
                  - {}
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Forbidden
                      message:
                        type: string
                        enum:
                          - >-
                            This API key has exhausted its available credits. To
                            resume service, please visit
                            https://portal.vaults.fyi/signup to top-up your
                            credits
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - Not Found
                  message:
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
        '408':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      message:
                        type: string
                      errorId:
                        type: string
                    additionalProperties: false
                  - {}
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Unprocessable Entity
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Internal Server Error
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Service Unavailable
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````